Przejdź do głównej treści
GET
/
api
/
v1
/
campaigns
/
{campaignKey}
/
report
Pobierz raport kampanii
curl --request GET \
  --url https://api.railmail.app/api/v1/campaigns/{campaignKey}/report \
  --header 'X-API-Key: <api-key>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "content": "<string>",
  "locale": "<string>",
  "aiModelId": "<string>",
  "version": 123,
  "failureReason": "<string>",
  "generatedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry ścieżki

campaignKey
string
wymagane

Campaign key (e.g. APIT-001).

Odpowiedź

Raport kampanii

campaignId
string<uuid>
status
string | null
content
string | null
locale
string | null
aiModelId
string | null
version
integer
failureReason
string | null
generatedAt
string<date-time> | null
createdAt
string<date-time> | null
updatedAt
string<date-time> | null